Name:           pyside-tools
Version:        0.2.7
Release:        1%{?dist}
Summary:        Development tools for PySide

Group:          Development/Tools
# LICENSE-uic file in the source tarball includes BSD and GPL license texts,
# but all the source files appear to have been re-licensed under GPLv2 by now.
License:        GPLv2
URL:            http://www.pyside.org
Source0:        http://www.pyside.org/files/pyside-tools-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  python2-devel
BuildRequires:  python-pyside-devel
BuildRequires:  qt4-devel
Requires:       python-pyside

%description
PySide provides Python bindings for the Qt cross-platform application
and UI framework.

This package ships the following accompanying tools:
 * pyside-rcc - PySide resource compiler
 * pyside-uic - Python User Interface Compiler for PySide
 * pyside-lupdate - update Qt Linguist translation files for PySide


%prep
%setup -q

# Remove bundled ElementTree library which is part of Python 2.5 and newer
rm -rf pysideuic/elementtree/


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE*
%{_bindir}/pyside-rcc
%{_bindir}/pyside-uic
%{_bindir}/pyside-lupdate
%{_mandir}/man1/pyside-rcc.1*
%{_mandir}/man1/pyside-uic.1*
%{_mandir}/man1/pyside-lupdate.1*
%{python_sitearch}/pysideuic/


%changelog
* Thu Mar 03 2011 Kalev Lember <kalev@smartlink.ee> - 0.2.7-1
- Update to 0.2.7
- Added man pages

* Tue Nov 23 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.2-2
- Remove bundled ElementTree library in prep (#655527)
- Updated License tag to reflect bundled ElementTree removal

* Sat Nov 20 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.2-1
- Initial RPM release
